function [A,Iy,Iz,J,Di] = Beam_Geometry (elementNodes,numberElements)

global numberElementsTowerBase numberElementsFoundation

    if (elementNodes<=(numberElementsFoundation+numberElementsTowerBase))
        
        D = 6;                     % D: external diameter
        thic = 0.06;               % thic: thickness
        Di = D-2*thic;             % Di: internal diameter
        ro = D/2;                  % ro: external radius
        ri = D/2-thic;             % ri: intenal radius
        
        A = pi*(ro^2-ri^2);        % A: area of the section
        Iy = (pi/4)*(ro^4-ri^4);   % Second moment of area about the axis y
        Iz = (pi/4)*(ro^4-ri^4);   % Second moment of area about the axis z
        J = Iy+Iz;                 % Polar moment of inertia
        
    else
        
        Dt = 3.87;
        Db = 6;
        a1 = (Dt-Db)/(numberElements-(numberElementsFoundation+...
            numberElementsTowerBase+1));
        b1 = Db-(numberElementsFoundation+numberElementsTowerBase+1)*a1;
        D = a1*elementNodes+b1;       % D: external diameter
        
        thict = 0.019;
        thicb = 0.027;
        a2 = (thict-thicb)/(numberElements-(numberElementsFoundation+...
            numberElementsTowerBase+1));
        b2 = thicb-(numberElementsFoundation+numberElementsTowerBase+1)*a2;
        thic = a2*elementNodes+b2; % thic: thickness
        
        Di = D-2*thic;             % Di: internal diameter
        ro = D/2;                  % ro: external radius
        ri = D/2-thic;             % ri: intenal radius
        A  = pi*(ro^2-ri^2);       % A: area of the section
        Iy = (pi/4)*(ro^4-ri^4);   % Second moment of area about the axis y
        Iz = (pi/4)*(ro^4-ri^4);   % Second moment of area about the axis z
        J = Iy+Iz;                 % Polar moment of inertia
        
    end
    
end