function [Iy,Iz,J] = Beam_Geometry_PDFArea (PDArea,Di)
        
        D = 2*sqrt((PDArea/pi)+(Di/2)^2);          % D: external diameter
        thic = (D-Di)/2;                           % thic: thickness
        ro = D/2;                                  % ro: external radius
        ri = D/2-thic;                             % ri: intenal radius
        
        Iy = (pi/4)*(ro^4-ri^4);   % Second moment of area about the axis y
        Iz = (pi/4)*(ro^4-ri^4);   % Second moment of area about the axis z
        J = Iy+Iz;                 % Polar moment of inertia

end