function [cycle, res] = inrain_counting(tp)

% =====================================================================
% FUNCTION - Rainflow counting algorithm
% =====================================================================
% written by Daniel Zwick, 07/2010
% updated                  11/2013
%
% Programmed with help of paper "Standardization of the rainflow counting
% method for fatigue analysis", C. Amzallag, J.P.Gerey, J.L. Robert, J.
% Bahuaudt, 1993



    % initial parameters
        k     = 1;
        i     = 1;
        N     = length(tp(:,1))-3;
        cycle = zeros(1,1);
        
    % while loop
        while (i <= N)
            % calculate delta amplitudes
                clear delta_S
                delta_S(1) = abs(tp(i+1,2) - tp(i  ,2));
                delta_S(2) = abs(tp(i+2,2) - tp(i+1,2));
                delta_S(3) = abs(tp(i+3,2) - tp(i+2,2));
            % check delta amplitudes
                if ((delta_S(2) <= delta_S(1)) && (delta_S(2) <= delta_S(3)))
                    % storrage of the extracted cycle
                        cycle(k,1) = delta_S(2);    
                        k = k + 1;
                    % overwrite extrem values
                        tp(i+2,1) = tp(i,1);
                        tp(i+2,2) = tp(i,2);
                        i = i + 2;
                else
                    i = i + 1;
                end
        end

    % building up the new residue after extracting of cycles
        k   = 1;
        i   = 1;
        res = zeros(1,2);
        while i < (length(tp(:,1))-1)
            if (tp(i,1) == tp(i+2,1))
                i = i + 2;
            else
                res(k,1) = tp(i,1);
                res(k,2) = tp(i,2);
                k = k + 1;
                i = i + 1;
            end
        end

    % saving the last two points of the series
        res(k,1) = tp(i,1);
        res(k,2) = tp(i,2);
        if i < length(tp(:,1))
            res(k+1,1) = tp(i+1,1);
            res(k+1,2) = tp(i+1,2);
        end
        
end   % of function