function [tp] = inrain_extrem(signal)

% =====================================================================
% FUNCTION - Calculating extrem values of a time series
% =====================================================================
% written by Daniel Zwick, 07/2010
% updated                  11/2013



    % defining the first point of the data series as first peak
        tp(1,1) = 1;            % x
        tp(1,2) = signal(1);    % y

    % calculating peaks in the time series
        k = 2;
        for i=1:length(signal)-2
            if (((signal(i) < signal(i+1)) && (signal(i+1) >= signal(i+2))) || ((signal(i) > signal(i+1)) && (signal(i+1) <= signal(i+2))))
                tp(k,1) = i + 1;
                tp(k,2) = signal(i+1);
                k = k + 1;
            end
        end
        
    % defining the last point of the data series as last peak
        tp(k,1) = length(signal);
        tp(k,2) = signal(end);

                
end   % of function